=== debian/changelog ===
ignition-cmake (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 07 Mar 2022 16:01:20 +0000
