=== debian/control ===
Source: ignition-cmake
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libjs-mathjax,
               libgtest-dev,
               pkg-config,
               python3
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
Rules-Requires-Root: no
Homepage: https://ignitionrobotics.org/libs/cmake

Package: libignition-cmake-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, pkg-config
Description: Ignition Robotics CMake Library - Development files
 CMake modules to be used by the Ignition projects.
 .
 This package is required to build ignition projects, as well as to link your
 third party projects against them. It provides modules that are used to find
 dependencies of ignition projects and generate cmake targets for consumers of
 ignition projects to link against.
