=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_install


override_dh_auto_install:
	# Remove artifacts installed by testing
	dh_auto_install
	find . -type d -name install | xargs rm -rf
	find . -type d -empty -delete

%:
	dh $@
