=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
   core_child_private
   core_static_child
   comp_deps
+  use_config_ifp
   )
 if (NOT CMAKE_GENERATOR MATCHES "Visual Studio")
   list(APPEND example_directories
@@ -58,6 +59,9 @@
     set(example_tarball_name ignition-use_component_depsb-0.1.0.tar.bz2)
   elseif (${example} STREQUAL "use_component_depsC")
     set(example_tarball_name ignition-use_component_depsc-0.1.0.tar.bz2)
+  elseif (${example} STREQUAL "use_config_ifp")
+    set(example_tarball_name  ignition-find_config-0.1.0.tar.bz2)
+
   else()
     set(example_tarball_name)
   endif()
@@ -203,3 +207,31 @@
   set_tests_properties(${TEST_NAME} PROPERTIES
     ENVIRONMENT "${_env_vars}")
 endif()
+
+if(UNIX)
+  # Test for the sanitizers example
+  set(sanitizer_compiler_log ${CMAKE_BINARY_DIR}/examples/Sanitizers-prefix/src/Sanitizers-stamp/Sanitizers-build-out.log)
+  ExternalProject_Add(
+    Sanitizers
+
+    DEPENDS FAKE_INSTALL
+    SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/sanitizers"
+    LOG_BUILD ON
+    LOG_CONFIGURE ON
+    # BUILD_ALWAYS needed since cmake doesn't notice when
+    # example files change.
+    # See alternate approach in a2113e0997c9 if this becomes too slow
+    BUILD_ALWAYS 1
+    BUILD_COMMAND ${CMAKE_COMMAND} --build . --clean-first
+    CMAKE_ARGS
+      "-DCMAKE_PREFIX_PATH=${FAKE_INSTALL_PREFIX};${example_INSTALL_DIR}"
+      "-DCMAKE_BUILD_TYPE=RelWithDebInfo"
+      "-DCMAKE_INSTALL_PREFIX=${CMAKE_BINARY_DIR}/install/Sanitizers"
+      "-DIGN_SANITIZER=Address"
+      "-DCMAKE_CXX_FLAGS=-Wno-unused-parameter"
+      "-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON"
+    TEST_COMMAND
+      # Multiplatform python equivalent to grep "fsanitize=address" "${sanitizer_compiler_log}"
+      python3 -c "exec(\"import sys\\nwith open('${sanitizer_compiler_log}') as f:sys.exit(0) if 'fsanitize=address' in f.read() else sys.exit(1)\")"
+  )
+endif()
