=== debian/changelog ===
ignition-cmake (2.17.1-2ubuntu1) noble; urgency=medium

  * d/t/control: Add allow-stderr to "Restrictions:" (LP: #2048518)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 08 Jan 2024 13:37:10 +0000

ignition-cmake (2.17.1-2) unstable; urgency=medium

  * Team upload.
  * Replace deprecated exec_program() with execute_process()

 -- Timo Röhling <roehling@debian.org>  Thu, 14 Dec 2023 13:28:48 +0100

ignition-cmake (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 Sep 2023 13:52:42 +0000

ignition-cmake (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0
  * Rediff patches

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Aug 2023 18:36:03 +0000

ignition-cmake (2.11.0-2) unstable; urgency=medium

  * Team upload.

  [ Jose Luis Rivero ]
  * Rediff patches

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Silence CMP0148 warning about PythonInterp

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Jul 2023 00:21:51 +0200
