=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ignition-cmake
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
@@ -9,7 +10,7 @@
                libgtest-dev,
                pkg-config,
                python3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
 Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
 Rules-Requires-Root: no
