=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,10 @@
 	find . -type d -name install | xargs rm -rf
 	find . -type d -empty -delete
 
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x debian/libignition-cmake-dev/usr/share/ignition/ignition-cmake2/tools/doc_check.sh
+
 %:
 	dh $@
