=== debian/tests/control ===
Tests: build
Depends: libignition-cmake-dev, cmake, g++, pkg-config
Restrictions: allow-stderr
